package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.dto.serve.api.QueryApiBaseInfoReq;
import org.wcs.model.po.app.AppBaseApiInfo;

import java.util.List;

public interface AppBaseApiInfoService extends IService<AppBaseApiInfo> {

    List<AppBaseApiInfo> queryAll(); // 查询所有
    List<AppBaseApiInfo> query(QueryApiBaseInfoReq queryApiBaseInfoReq); // 条件查询
    List<AppBaseApiInfo> queryWithApiKey(String apiKey);
    boolean insert(AppBaseApiInfo appBaseApiInfo); // 插入
    boolean delete(String apiKey);
    boolean update(AppBaseApiInfo appBaseApiInfo);


}
